Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 627392 - net-print/cups-filters-1.16.4 stabilisation request
Summary: net-print/cups-filters-1.16.4 stabilisation request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 627574
Blocks: CVE-2017-9865
  Show dependency tree
 
Reported: 2017-08-09 12:05 UTC by Michael Palimaka (kensington)
Modified: 2017-12-04 13:46 UTC (History)
0 users

See Also:
Package list:
net-print/cups-filters-1.16.4
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2017-08-09 12:05:12 UTC
Is it OK to stabilise net-print/cups-filters-1.16.0? It contains the fix for bug #626800 which will be required to stabilise newer app-text/poppler.
Comment 1 Stabilization helper bot gentoo-dev 2017-09-17 22:01:45 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad app-text/mupdf/mupdf-1.11-r1.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['>=media-libs/glfw-3.2']
> dependency.bad app-text/mupdf/mupdf-1.11-r1.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=media-libs/glfw-3.2']
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2017-09-19 19:38:31 UTC
ia64 stable
Comment 3 Stabilization helper bot gentoo-dev 2017-09-19 20:01:56 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad app-text/mupdf/mupdf-1.11-r1.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['>=media-libs/glfw-3.2']
> dependency.bad app-text/mupdf/mupdf-1.11-r1.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=media-libs/glfw-3.2']
Comment 4 Stabilization helper bot gentoo-dev 2017-09-19 23:00:33 UTC
An automated check of this bug failed - the following atom is unknown:

media-libs/glfw-3.2

Please verify the atom list.
Comment 5 Stabilization helper bot gentoo-dev 2017-09-20 01:01:00 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad media-libs/glfw/glfw-3.2.1.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['kde-frameworks/extra-cmake-modules']
Comment 6 Andreas Sturmlechner gentoo-dev 2017-09-30 17:13:33 UTC
Masked cups-filters[pdf] in git commit d9be5ba34adf067e8e325260b3e1b7b315ef2fd3
Comment 7 Stabilization helper bot gentoo-dev 2017-09-30 18:01:29 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad net-print/cups-filters/cups-filters-1.16.4.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['app-text/mupdf']
> dependency.bad net-print/cups-filters/cups-filters-1.16.4.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['app-text/mupdf']
Comment 8 Larry the Git Cow gentoo-dev 2017-10-01 11:45:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2c7cd04f49fc29a643c29585d19067b7948918d

commit e2c7cd04f49fc29a643c29585d19067b7948918d
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2017-10-01 11:44:27 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2017-10-01 11:44:58 +0000

    net-print/cups-filters: stabilise 1.16.4 for amd64/x86
    
    Bug: https://bugs.gentoo.org/627392
    Package-Manager: Portage-2.3.8, Repoman-2.3.3

 net-print/cups-filters/cups-filters-1.16.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 9 ernsteiswuerfel archtester 2017-10-09 17:16:24 UTC
ppc

Looking good on ppc! Says tatt-testing. 

T800 ~/tatt # cat cups-filters.report 
USE='-dbus -foomatic -ipp_autosetup -jpeg -ldap -pdf -perl -png -postscript -static-libs -tiff -zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus -foomatic ipp_autosetup -jpeg -ldap pdf -perl -png postscript -static-libs -tiff -zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus foomatic ipp_autosetup jpeg -ldap -pdf perl png -postscript static-libs -tiff -zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus -foomatic ipp_autosetup jpeg ldap pdf perl -png -postscript -static-libs tiff -zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='-dbus foomatic -ipp_autosetup jpeg ldap -pdf perl -png postscript -static-libs tiff -zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus -foomatic -ipp_autosetup jpeg -ldap -pdf -perl png postscript -static-libs -tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus -foomatic -ipp_autosetup -jpeg -ldap -pdf perl png postscript -static-libs -tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus -foomatic -ipp_autosetup -jpeg -ldap -pdf -perl png -postscript static-libs -tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='-dbus foomatic ipp_autosetup -jpeg -ldap pdf -perl png postscript static-libs -tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus foomatic -ipp_autosetup jpeg -ldap pdf perl -png -postscript -static-libs tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='-dbus -foomatic -ipp_autosetup jpeg ldap -pdf -perl png -postscript -static-libs tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus foomatic -ipp_autosetup -jpeg -ldap -pdf perl png -postscript -static-libs tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='-dbus foomatic ipp_autosetup jpeg -ldap pdf -perl -png postscript -static-libs tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
USE='dbus foomatic ipp_autosetup jpeg ldap pdf perl png postscript static-libs tiff zeroconf'  succeeded for =net-print/cups-filters-1.16.4
 FEATURES= test succeeded for =net-print/cups-filters-1.16.4
Comment 10 Sergei Trofimovich (RETIRED) gentoo-dev 2017-10-12 10:19:07 UTC
stable 1.16.4 for ppc (thanks to ernsteiswuerfel)
Comment 11 Markus Meier gentoo-dev 2017-10-14 06:16:41 UTC
arm stable
Comment 12 Sergei Trofimovich (RETIRED) gentoo-dev 2017-10-16 09:06:53 UTC
ppc64 stable
Comment 13 Sergei Trofimovich (RETIRED) gentoo-dev 2017-10-18 11:16:46 UTC
hppa/sparc stable (thanks to Rolf Eike Beer)
Comment 14 Tobias Klausmann (RETIRED) gentoo-dev 2017-10-22 21:51:21 UTC
Stable on alpha.
Comment 15 Larry the Git Cow gentoo-dev 2017-11-23 21:12:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe12fcb87e86364127969ec37a308d0731d58084

commit fe12fcb87e86364127969ec37a308d0731d58084
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-11-23 16:53:41 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-11-23 21:12:13 +0000

    app-text/poppler: Security cleanup
    
    Bug: https://bugs.gentoo.org/627392
    Package-Manager: Portage-2.3.16, Repoman-2.3.6

 app-text/poppler/Manifest                          |   3 +-
 .../0001-Cairo-backend-added-to-Qt4-wrapper.patch  | 199 ---------------------
 ...0002-Setting-default-Qt4-backend-to-Cairo.patch |  25 ---
 ...rcing-subpixel-rendering-in-Cairo-backend.patch |  30 ----
 ...-Enabling-slight-hinting-in-Cairo-Backend.patch |  45 -----
 .../files/poppler-0.28.1-respect-cflags.patch      |  48 -----
 app-text/poppler/metadata.xml                      |   1 -
 app-text/poppler/poppler-0.45.0.ebuild             | 142 ---------------
 8 files changed, 1 insertion(+), 492 deletions(-)}